Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class SiteContentProvider

    java.lang.Object
      org.eclipse.update.core.SiteContentProvider

All Implemented Interfaces:
  ISiteContentProvider

public abstract class SiteContentProvider
extends Object
implements ISiteContentProvider

Base site content provider

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`SiteContentProvider(URL url)` Constructor for SiteContentProvider

Method Summary
`URL` | `getArchiveReference(String archiveID)` Returns a URL for the identified archive
`ISite` | `getSite()` Returns the site for this provider
`URL` | `getURL()` Returns the URL of this site
`void` | `setSite(ISite site)` Sets the site for this provider

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteContentProvider

    public SiteContentProvider(URL url)

  Constructor for SiteContentProvider

Method Detail

### getURL

    public URL getURL()

  Returns the URL of this site

  Specified by:
    `getURL` in interface `ISiteContentProvider`
  Returns:
    site URL
  Since:
    2.0
  See Also:
    `ISiteContentProvider.getURL()`

### getArchiveReference

    public URL getArchiveReference(String archiveID)
                            throws CoreException

  Returns a URL for the identified archive

  Specified by:
    `getArchiveReference` in interface `ISiteContentProvider`
  Parameters:
    `archiveID` - archive identifier
  Returns:
    archive URL, or `null`.
  Throws:
    `CoreException`
  Since:
    2.0
  See Also:
    `ISiteContentProvider.getArchiveReference(String)`

### getSite

    public ISite getSite()

  Returns the site for this provider

  Specified by:
    `getSite` in interface `ISiteContentProvider`
  Returns:
    provider site
  Since:
    2.0
  See Also:
    `ISiteContentProvider.getSite()`

### setSite

    public void setSite(ISite site)

  Sets the site for this provider

  Specified by:
    `setSite` in interface `ISiteContentProvider`
  Parameters:
    `site` - site for this provider
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.